#!/bin/bash

set -e -u

# Script to create the plugin distribution from an already built set of sources.
#
# Usage: mkplugindist.sh <build directory> [<destination directory>]
#
# <build directory> is the directory containing the build directories as
# created by buildallhosts.sh.

scriptdir=`dirname $0`
scriptdir=`cd "${scriptdir}" && pwd`

if test $# -lt 1; then
    echo "Usage: mkplugindist.sh <build directory> [<destination directory>]"
    exit 1
fi

destdir="${2:-}"
if test -z "${destdir}"; then
    destdir=`pwd`
fi

zipfile="${destdir}/xplra.zip"
builddir="${1}"

tmpdir=`mktemp -d`
trap "rm -rf $tmpdir" EXIT

xplradir="${tmpdir}/XPLRA"
mkdir -p "${xplradir}/64"

strip -g -o "${xplradir}/64/lin.xpl" "${builddir}/xpl/xplra/src/plugin/src/xplra/lin.xpl"
x86_64-w64-mingw32-strip -o "${xplradir}/64/win.xpl" "${builddir}/xpl-win64/xplra/src/plugin/src/xplra/win.xpl.exe"

cd "${tmpdir}"
rm -f "${zipfile}"
zip -r "${zipfile}" XPLRA
